Bug 1603219 - '--owner' key/value not recognized anymore with 'hammer host create' (Satellite 6.3.2)
Summary: '--owner' key/value not recognized anymore with 'hammer host create' (Satelli...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Ivan Necas
QA Contact: Mirek Zalewski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-19 13:25 UTC by Rainer Beyel
Modified: 2019-10-07 17:18 UTC (History)
13 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:44 UTC
Foreman Issue Tracker 24322 None None None 2018-07-20 12:20:03 UTC
Foreman Issue Tracker 26026 None None None 2019-02-11 14:39:22 UTC

Internal Links: 1687752

Description Rainer Beyel 2018-07-19 13:25:36 UTC
Description of problem:
  After the Satellite upgrade (from 6.2.14) to 6.3.2 the '--owner' key/value is not recognized anymore with 'hammer host create'.

Version-Release number of selected component (if applicable):
  Satellite 6.3.2

How reproducible:
  # hammer host create --name rhel7-test --hostgroup-id 2 --organization org01 --location loc-int1 --build true --owner rainer --domain rr-int1.net --model-id 1 --interface ip=192.168.40.17,mac=52:54:00:fb:4e:16,subnet_id=1,primary=true,managed=true,provision=true
  
  # hammer host info --id 11 | grep -i owner
  Owner Id:   3
  Owner Type: User

  Satellite User: admin (3), rainer(4)
  Same issue with specifying '--owner-id' instead of '--owner':

Actual results:
  Host owner is the user who executed the 'hammer host create ...' command

Expected results:
  Host owner is the specified user ('--owner ...'). 
  This worked as expected with Satellite 6.2

Additional info:
  A workaround is to change the host owner after the creation, with:

  # hammer host update --id 11 --owner rainer
  Host updated

  # hammer host info --id 11 | grep -i owner
  Owner Id:   4
  Owner Type: User

Comment 3 Ivan Necas 2018-07-20 12:15:42 UTC
It seems that one need to provide `--owner-type=User` when specifying the --owner. Whith that option, it seems that the option is working both in Sat 6.3 and 6.4.

I will open a PR that validates the presence of owner_type, when owner_id is specified.

Comment 4 Ivan Necas 2018-07-20 12:19:58 UTC
Created redmine issue https://projects.theforeman.org/issues/24322 from this bug

Comment 8 pm-sat@redhat.com 2018-07-20 14:16:03 UTC
Upstream bug assigned to inecas@redhat.com

Comment 9 pm-sat@redhat.com 2018-07-20 14:16:09 UTC
Upstream bug assigned to inecas@redhat.com

Comment 10 pm-sat@redhat.com 2018-07-20 18:16:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24322 has been resolved.

Comment 14 Ivan Necas 2019-02-11 14:39:23 UTC
Addinional fix in https://github.com/Katello/hammer-cli-katello/pull/628

Comment 20 errata-xmlrpc 2019-05-14 12:37:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.